package patrones.countingproxy.eje1;

import java.util.Vector;
/**
 * Esta clase es un CountingProxy que se encarga de hacer operaciones como
 * conteo y registro
 * 
 */
public class OrderProxy implements OrderIF {
	private int counter = 0;

	public Vector<OrderDetail> getAllOrders() {
		Order order = new Order();
		counter++;

		long t1 = System.nanoTime();
		Vector<OrderDetail> v = order.getAllOrders();
		long t2 = System.nanoTime();
		long timeDiff = t2 - t1;
		String msg = "Iteration=" + counter + "::Time=" + timeDiff + "ns";

		// log the message
		FileUtil fileUtil = new FileUtil();
		fileUtil.writeToFile("log.txt", msg, true, true);
		return v;
	}
}
